# IRremoteESP8266: src/ir_Coolix.cpp File Reference

ir_Coolix.cpp File Reference

Coolix A/C / heatpump. More...

## Variables

const uint16_t | kCoolixTick = 276
const uint16_t | kCoolixBitMarkTicks = 2
const uint16_t | kCoolixBitMark = kCoolixBitMarkTicks * kCoolixTick
const uint16_t | kCoolixOneSpaceTicks = 6
const uint16_t | kCoolixOneSpace = kCoolixOneSpaceTicks * kCoolixTick
const uint16_t | kCoolixZeroSpaceTicks = 2
const uint16_t | kCoolixZeroSpace = kCoolixZeroSpaceTicks * kCoolixTick
const uint16_t | kCoolixHdrMarkTicks = 17
const uint16_t | kCoolixHdrMark = kCoolixHdrMarkTicks * kCoolixTick
const uint16_t | kCoolixHdrSpaceTicks = 16
const uint16_t | kCoolixHdrSpace = kCoolixHdrSpaceTicks * kCoolixTick
const uint16_t | kCoolixMinGapTicks = kCoolixHdrMarkTicks + kCoolixZeroSpaceTicks
const uint16_t | kCoolixMinGap = kCoolixMinGapTicks * kCoolixTick

## Detailed Description

Coolix A/C / heatpump.

See also
  https://github.com/crankyoldgit/IRremoteESP8266/issues/484

## Variable Documentation

## kCoolixBitMark

const uint16_t kCoolixBitMark = kCoolixBitMarkTicks * kCoolixTick

## kCoolixBitMarkTicks

const uint16_t kCoolixBitMarkTicks = 2

## kCoolixHdrMark

const uint16_t kCoolixHdrMark = kCoolixHdrMarkTicks * kCoolixTick

## kCoolixHdrMarkTicks

const uint16_t kCoolixHdrMarkTicks = 17

## kCoolixHdrSpace

const uint16_t kCoolixHdrSpace = kCoolixHdrSpaceTicks * kCoolixTick

## kCoolixHdrSpaceTicks

const uint16_t kCoolixHdrSpaceTicks = 16

## kCoolixMinGap

const uint16_t kCoolixMinGap = kCoolixMinGapTicks * kCoolixTick

## kCoolixMinGapTicks

const uint16_t kCoolixMinGapTicks = kCoolixHdrMarkTicks + kCoolixZeroSpaceTicks

## kCoolixOneSpace

const uint16_t kCoolixOneSpace = kCoolixOneSpaceTicks * kCoolixTick

## kCoolixOneSpaceTicks

const uint16_t kCoolixOneSpaceTicks = 6

## kCoolixTick

const uint16_t kCoolixTick = 276

## kCoolixZeroSpace

const uint16_t kCoolixZeroSpace = kCoolixZeroSpaceTicks * kCoolixTick

## kCoolixZeroSpaceTicks

const uint16_t kCoolixZeroSpaceTicks = 2